#include "xmodelstreaminfo.h"

XModelStreamInfo::XModelStreamInfo()
    : XAsset()
    , mHighMipBounds()
{
    SetName("Model Stream Info");
}

XModelStreamInfo::~XModelStreamInfo()
{

}

XModelHighMipBounds XModelStreamInfo::GetBounds() const
{
    return mHighMipBounds;
}

void XModelStreamInfo::ParseData(XDataStream *aStream)
{
    mHighMipBounds.ParsePtr(aStream);
}

void XModelStreamInfo::Clear()
{
    mHighMipBounds.Clear();
}
